net.sourceforge.pmd.lang

## Interface VisitorStarter

    public interface VisitorStarter

Interface for starting an implementation of the visitors for ASTs.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

### Field Summary

Fields
`static VisitorStarter` `DUMMY`

### Method Summary

Methods
`void` `start(Node rootNode)` Start the visitor, given the root-node of the AST.

### Field Detail

#### DUMMY

    static final VisitorStarter DUMMY

### Method Detail

#### start

    void start(Node rootNode)

Start the visitor, given the root-node of the AST.

Parameters:
  `rootNode` - The root node of the AST